Page MenuHomePhabricator

Migrate termbox to pipelineLib CI
Closed, ResolvedPublic

Description

Termbox was partially migrated to the pipeline via the 'service-pipeline-test-and-publish' job and doesn't allow for self-serve CI stages using a .pipeline/config.yaml. Create a .pipeline/config.yaml for termbox and add the necessary jobs to jjb.

Event Timeline

jeena created this task.Sep 15 2020, 11:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2020, 11:39 PM
jeena updated the task description. (Show Details)Sep 15 2020, 11:40 PM

Change 627631 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[integration/config@master] jjb: Migrate termbox pipeline to pipelinelib

https://gerrit.wikimedia.org/r/627631

Change 627632 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[wikibase/termbox@master] .pipeline/config.yaml: test and publish

https://gerrit.wikimedia.org/r/627632

Change 627632 merged by jenkins-bot:
[wikibase/termbox@master] .pipeline/config.yaml: test and publish

https://gerrit.wikimedia.org/r/627632

Change 627631 merged by jenkins-bot:
[integration/config@master] jjb: Migrate termbox pipeline to pipelinelib

https://gerrit.wikimedia.org/r/627631

This doesn’t seem to work quite right… the gate-and-submit for https://gerrit.wikimedia.org/r/c/wikibase/termbox/+/628347 failed with an error I don’t understand. (I assume it’s related to this task, but that’s just a guess.)

jeena added a comment.Sep 18 2020, 4:54 PM

It looks like the helm test part is failing. This wasn't being tested with helm before so I can remove that part for now.

Change 628407 had a related patch set uploaded (by Jeena Huneidi; owner: Jeena Huneidi):
[wikibase/termbox@master] pipeline: Disable test deploy in rehearsal

https://gerrit.wikimedia.org/r/628407

Change 628407 merged by jenkins-bot:
[wikibase/termbox@master] pipeline: Disable test deploy in rehearsal

https://gerrit.wikimedia.org/r/628407

jeena closed this task as Resolved.Sep 24 2020, 11:30 PM